> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.specurate.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Lookup Entries



## OpenAPI

````yaml /openapi.json get /v1/workspaces/{workspaceId}/collections/{id}/entries/lookup
openapi: 3.1.0
info:
  title: Specurate API
  description: ''
  version: 1.0.0
  contact: {}
servers:
  - url: https://app.specurate.com/api
    description: API Server
security: []
tags: []
paths:
  /v1/workspaces/{workspaceId}/collections/{id}/entries/lookup:
    get:
      tags:
        - Collections
      summary: Lookup Entries
      operationId: CollectionsController_lookupEntries_v1
      parameters:
        - name: workspaceId
          required: true
          in: path
          schema:
            type: string
            pattern: ^[1-9]\d*$
        - name: id
          required: true
          in: path
          schema:
            type: string
            pattern: ^[1-9]\d*$
        - name: ids
          required: false
          in: query
          schema:
            minItems: 1
            maxItems: 100
            type: array
            items:
              type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CollectionEntryLookupResponseDto'
      security:
        - bearer: []
components:
  schemas:
    CollectionEntryLookupResponseDto:
      type: object
      properties:
        collectionVersion:
          type: number
        entries:
          type: array
          items:
            $ref: '#/components/schemas/CollectionEntryLookupItemDto'
        removedIds:
          type: array
          items:
            type: string
        missingIds:
          type: array
          items:
            type: string
      required:
        - collectionVersion
        - entries
        - removedIds
        - missingIds
    CollectionEntryLookupItemDto:
      type: object
      properties:
        id:
          type: string
        version:
          type: number
        quantity:
          type: string
        description:
          type: string
          nullable: true
        areaReference:
          type: string
          nullable: true
        parLevel:
          type: string
          nullable: true
        applyParToPurchaseQuantity:
          type: boolean
        mandatoryItem:
          type: boolean
        designReviewRequired:
          type: boolean
      required:
        - id
        - version
        - quantity
        - description
        - areaReference
        - parLevel
        - applyParToPurchaseQuantity
        - mandatoryItem
        - designReviewRequired
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      type: http

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.